Create a Push source
Create a Push source
A Push source requires you to use the Push API to manage its content, whereas a non-Push source manages its content with Coveo crawlers.
Creating a Push source allows you to index content from enterprise systems for which no specific or generic source is appropriate.
This page explains how to create a Push source using Coveo’s Source API. Alternatively, you can create a Push source through the Coveo Administration Console.
Prerequisites
-
Your Coveo organization license must allow you to create Push sources. See Get the organization license information.
-
Your organization must not have reached its source and security provider quotas. You can check your quotas and usage on the License & Usage (platform-ca | platform-eu | platform-au) page of the Coveo Administration Console.
Use the Create a source from simple configuration operation to create a Push source in a Coveo organization.
POST https://platform.cloud.coveo.com/rest/organizations/<MyOrganizationId>/sources HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <MyAccessToken>
Request body:
{
"sourceType": "PUSH",
"name": <MyPushSourceName>,
"sourceVisibility": <"PRIVATE"|"SECURED"|"SHARED">,
"pushEnabled": true
}
In the request path:
-
Replace
<MyOrganizationId>with your organization ID.
In the Authorization HTTP header:
-
Replace
<MyAccessToken>with an access token that grants the privilege to edit sources (that is, the Edit access level on the Sources domain) in the target organization (see Create a Custom key, Get the privileges of an access token, Manage privileges, and Get your Coveo access token).
In the request body:
-
Replace
<MyPushSourceName>with a meaningfulnamestring.
|
|
You can’t change the name of a source once it has been created, so make sure you choose one that fits the intended content of that source. |
-
Replace
<"PRIVATE"|"SECURED"|"SHARED">with one of the validsourceVisibilitystrings.
|
|
Notes
|
The body of a successful response contains information about the source you just created.
The id property value is important, as it’s a required parameter in many Coveo REST API operations.
You can always retrieve this ID later.
|
|
Leading practice: Create a security identity provider
Immediately after you create a secured Push source, you should create a security identity provider for it. A security identity provider allows you to push expandable identity definitions in order to faithfully replicate the security model of the system you’re planning to index with your source. |
Sample request
The following example shows how to create a secured Push source.
POST https://platform.cloud.coveo.com/rest/organizations/mycoveocloudv2organizationg8tp8wu3/sources HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer **********-****-****-****-************
Request body:
{
"sourceType": "PUSH",
"name": "My Secured Push Source",
"sourceVisibility": "SECURED",
"pushEnabled": true
}
Successful response: 201 Created
The body of a successful response contains information about the source you just created.
{
"sourceType": "PUSH",
"id": "mycoveocloudv2organizationg8tp8wu3-rp5rxzbdz753uhndklv2ztkfgy",
"name": "My Secured Push Source",
"owner": "asmith@example.com",
"sourceVisibility": "SECURED",
"information": {
// ...Additional source information...
},
"pushEnabled": true,
// ...Additional information...
}